RubyGems Navigation menu

rubocop 0.58.2

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.39.0 - November 14, 2022 (564 KB)
  2. 1.38.0 - November 01, 2022 (563 KB)
  3. 1.37.1 - October 24, 2022 (560 KB)
  4. 1.37.0 - October 20, 2022 (559 KB)
  5. 1.36.0 - September 01, 2022 (555 KB)
  6. 0.58.2 - July 23, 2018 (394 KB)
Show all versions (222 total)

Runtime Dependencies (7):

  • jaro_winkler ~> 1.5.1
  • parallel ~> 1.10
  • parser != 2.5.1.1, >= 2.5
  • powerpack ~> 0.1
  • rainbow < 4.0, >= 2.2.2
  • ruby-progressbar ~> 1.7
  • unicode-display_width >= 1.0.1, ~> 1.0
  • Development Dependencies (2):

  • bundler ~> 1.3
  • rack >= 2.0
  • Owners:

    Authors:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256 checksum:

    43dab6c9d6c72844cbd028140ee7c60190c5ee6e30417d63480da3f413778139

    Total downloads 277,534,712

    For this version 5,692,871

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.2.0

    New versions require MFA: true

    Links: